This discussion is archived
12 Replies Latest reply: Feb 22, 2013 5:56 AM by 489412 RSS

Apex 4.2... Error during installation??

895863 Newbie
Currently Being Moderated
Hello Everyone,

I was trying to install Oracle Apex 4.2 in Oracle Database 11g XE with Windows 7 OS. And at the end of the installation (full installation apexins.sql) I got the following error;
Application Express Packaged and Sample Applications installation data

...Remove existing packaged applications from SGID11 workspace

begin
*
ERROR at line 1:
ORA-04067: not executed, package body "APEX_040200.WWV_FLOW_PKG_APP_INSTALL"
does not exist
ORA-06508: PL/SQL: could not find program unit being called:
"APEX_040200.WWV_FLOW_PKG_APP_INSTALL"
ORA-06512: at line 20
I checked the log file and it shows the same error as above. Kindly help me with this. Does this affect my installation or the application in any way?

Regards,
John.
  • 1. Re: Apex 4.2... Error during installation??
    Mindmap Pro
    Currently Being Moderated
    Hi,
    I suppose that you are doing [url http://docs.oracle.com/cd/E37097_01/doc/install.42/e35123/otn_install.htm#CBHEBDHD] upgrade installation 

    If you followed the instruction, nevertheless, it does not work try to remove apex and reinstall again
    > @apxremov.sql

    Best Regards,
    Fateh
  • 2. Re: Apex 4.2... Error during installation??
    895863 Newbie
    Currently Being Moderated
    Hello Fateh,

    Thank you for your reply. Will do the same as you have said.

    Regards
    John.
  • 3. Re: Apex 4.2... Error during installation??
    968705 Newbie
    Currently Being Moderated
    I also got an error on the upgrade (from the 4.0 that came with XE to 4.2), but my error shows up after a successful install. When I go to the admin page I get an ORA-01403 No Data Found. I can log into the database, I checked other threads but have not found this problem. I have uninstalled the upgrade and am re-installing now, but if someone has an idea what's going on, I'd appreciate it.

    Removed 4.2, reinstalled. Same problem. Am removing now, removing XE and reloading and will just use 4.0. I know that works because it did when I first installed it. This is a similar experience I had back with version 2.1 to 3 or 3.1, so I must not understand something and will do more reading before attempting again.

    Thanks,
    John

    Edited by: 965702 on Oct 16, 2012 10:40 AM
  • 4. Re: Apex 4.2... Error during installation??
    Mindmap Pro
    Currently Being Moderated
    Hi,

    I followed the docs , and I manage to upgrade to apex 4.2 swimmingly ...
    But, I am wondering, why to upgrade and not to remove and install again ??

    Export the apps from apex 4.1
    Export the work spaces
    Export the data of your Schema as well as the DDL.

    Remove old apex ... install the new one ...

    I am not giving a solution here... I asking a question ??

    Regards,
    Fateh
  • 5. Re: Apex 4.2... Error during installation??
    968705 Newbie
    Currently Being Moderated
    I thought I followed the docs as well, Fateh, but I must be missing something, and right now I don't have the time to troubleshoot it. I know it worked on a clean XE install (with 4.0 included) and since I'm just re-acquainting myself with it right now I'll wait until I understand it better to move forward. You're right, though. Not sure I need 4.2 at this time, especially if I'm just running something locally and preparing something for users who want to migrate from Access.

    Thanks,
    John
  • 6. Re: Apex 4.2... Error during installation??
    613910 Newbie
    Currently Being Moderated
    I ran into the same problem after upgrading from 4.1 to 4.2 using XE. No solution found.
  • 7. Re: Apex 4.2... Error during installation??
    968705 Newbie
    Currently Being Moderated
    Thanks. I had thought about moving up one version, to 4.1, but I will let that wait as well. Glad to hear I'm not the only one. The worst part was, when I tried to remove 4.2 then go to APEX it said it couldn't find the page. So I just removed XE and reinstalled and I'm back in business.
  • 8. Re: Apex 4.2... Error during installation??
    895863 Newbie
    Currently Being Moderated
    Hello Everyone,

    Sorry for the delayed reply. But what fateh said didn't work exactly for me. But his idea was correct. What i did was took back up of my APEX 4.1 workspace, removeoved the half installed APEX 4.2 and finally dropped the APEX_040100 user. And then I installed Apex 4.2 and it just installed smoothly without a problem.
    DROP USER APEX_040100 CASCADE;
    Though i am not sure if this is a correct solution. It worked for me, so if there are any other solution, Please do post it.

    Regards
    John.
  • 9. Re: Apex 4.2... Error during installation??
    Mindmap Pro
    Currently Being Moderated
    Hello,

    I have just finished my second upgrade of APEX 4.2 .. and it is working fine... Except for this error:
    ORA-28817: PL/SQL function returned an error.
    I got that error when I tried to access Instance Settings in http://localhost/apex/apex_admin

    In the docs there are more than one scenario, I went with the following using Win Sever 2012 :

    0- backup your DB and export your apps ( as additional precaution )
    1- Shutdown the DB
    2- change your working on the Command Line to where you have unzipped Apex:
    e.g :
    C:\Users\Jocelle_Admin>cd C:\apex
    then run SQL
    C:\apex>sqlplus
    Then
    @apexins.sql SYSAUX SYSAUX TEMP /i/
    3-
    @apxchpwd.sql
    4-
    @apxldimg.sql C:\
    After you deploy Apex listener and make sure everything is fine, [url http://docs.oracle.com/cd/E37097_01/doc/install.42/e35123/otn_install.htm#CBHEBDHD] Remove Prior Oracle Application Express Installations
    SELECT username
       FROM dba_users 
     WHERE (username LIKE 'FLOWS_%' OR USERNAME LIKE 'APEX_%') 
       AND USERNAME NOT IN (
            SELECT 'FLOWS_FILES' 
              FROM DUAL 
             UNION 
            SELECT 'APEX_PUBLIC_USER' FROM DUAL 
             UNION
            SELECT SCHEMA s 
               FROM dba_registry
             WHERE comp_id = 'APEX');
    You get something similar to:
    APEX_040100
    APEX_030200
    DROP USER APEX_040100 CASCADE;
    DROP USER APEX_030200 CASCADE;
    Ok, the problem now is how to Access My Instance Settings
    Where I think that I have to post a new thread for that ..

    Regards,
    Fateh
  • 10. Re: Apex 4.2... Error during installation??
    613910 Newbie
    Currently Being Moderated
    Now successfull:

    I downloaded 4.2 again and followed the instruction in the link below. Also ran the windows dos session as administrator this time.

    http://www.oracle.com/technetwork/developer-tools/apex/application-express/upgrade-apex-for-xe-154969.html
  • 11. Re: Apex 4.2... Error during installation??
    Patrick Wolf Employee ACE
    Currently Being Moderated
    Just for reference if somebody comes to this thread.

    If you experience the error
    ORA-28817: PL/SQL function returned an error.
    when you access the Instance Settings page, please read the following thread for a solution ORA 28817 PLSQL function returned an error . when Access instance apex 4 2
    There is no need to deinstall APEX.

    Regards
    Patrick
    -----------
    My Blog: http://www.inside-oracle-apex.com
    APEX Plug-Ins: http://apex.oracle.com/plugins
    Twitter: http://www.twitter.com/patrickwolf
  • 12. Re: Apex 4.2... Error during installation??
    489412 Newbie
    Currently Being Moderated
    Hello,

    I have the same problem, i have upgraded from apex 4.1 to apex 4.2. with success.
    Everything is fine except for this error that I get when I try to access Instance Setting on the Admin Application.

    ORA-28817: PL/SQL function returned an error

    I have execute

    sys> exec apex_instance_admin.set_parameter('SMTP_PASSWORD','my smtp password');

    for send e-mail and now is fine, when I try to access Instance Setting on the Admin Application i have always this error

    ORA-28817: PL/SQL function returned an error.

    What could be the problem ?
    How can we fix it ..
    I am working on Win server 2008 Datacenter.
    Best Regards,
    Dan

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points